using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AyaNovaQBI
{
    public partial class CopyableMessageBox : Form
    {
        private string mDisplay = string.Empty;
        public CopyableMessageBox(string Display)
        {
            InitializeComponent();
            mDisplay=Display;
        }

        private void btnCopy_Click(object sender, EventArgs e)
        {
            Clipboard.SetData(System.Windows.Forms.DataFormats.Text, mDisplay);
        }

        private void CopyableMessageBox_Load(object sender, EventArgs e)
        {
            edOut.Text = mDisplay;

        }
    }
}
